extends Spatial

func _ready():
	# Activate the _process()-method
	set_process(true)

func _process(delta):
	# Reset the global rotation, undoing the rotation of the parent node.
	# This is necessary because otherwise the camera would be rotated by the ball it is looking at.
	var global_pos = get_global_transform().origin
	set_global_transform(Transform(Vector3(1,0,0), Vector3(0,1,0), Vector3(0,0,1), global_pos))

